Upgrade portal 10.5 to 10.6.1 on linux Centos Server fail

390
2
08-01-2019 08:36 AM
GuillaumeArnaud
New Contributor III

Hi,

I see this issue : Upgrade Portal from 10.5.1 to 10.6 fails but it's on a Windows server.

I think I have the same but on a Linux CentOs 6 Server : lc_collate values for database "postgres" do not match:  old "fr_FR.UTF-8", new "en_US.UTF-8" (full log in quote)

I ask french support but I don't have any answer so I try there.

I have a snapshot of the 10.5 portal so I try many things : Reindex, recreate the initial administrator account (We destroy it because we use an LDAP to log in) but nothing to do.

I try to upgrade to 10.5.1 and it works but not between 10.5.1 to 10.6.1.....

Also, I save my portal with websigdr and restaure it on a new config (CentOs 7). I have the same issue...

Do you have any idea to help me to get around the problem or to solve the issue ?

Many thanks !

<Msg time="2019-08-01T16:43:33,970" type="INFO" code="209076" source="Portal Admin" process="18055" thread="15" methodName="" machine="SIGD-ARCGIS-PORTAL-2" user="" elapsed="">Backup completed for db, content and index folders.</Msg>
<Msg time="2019-08-01T16:43:33,972" type="INFO" code="209038" source="Portal Admin" process="18055" thread="15" methodName="" machine="SIGD-ARCGIS-PORTAL-2" user="" elapsed="">Starting the migration process from 10.5.0 to 10.6.1.</Msg>
<Msg time="2019-08-01T16:43:33,973" type="INFO" code="218032" source="Portal Admin" process="18055" thread="15" methodName="" machine="SIGD-ARCGIS-PORTAL-2" user="" elapsed="">Cleaning Index Service config files.</Msg>
<Msg time="2019-08-01T16:43:34,15" type="INFO" code="209063" source="Portal Admin" process="18055" thread="15" methodName="" machine="SIGD-ARCGIS-PORTAL-2" user="" elapsed="">Upgrading the database from 9.3.12 to 9.6.8.</Msg>
<Msg time="2019-08-01T16:43:34,15" type="INFO" code="209039" source="Portal Admin" process="18055" thread="15" methodName="" machine="SIGD-ARCGIS-PORTAL-2" user="" elapsed="">Starting the 9.3.12 database.</Msg>
<Msg time="2019-08-01T16:43:40,192" type="INFO" code="209040" source="Portal Admin" process="18055" thread="15" methodName="" machine="SIGD-ARCGIS-PORTAL-2" user="" elapsed="">Get the initial database install super user.</Msg>
<Msg time="2019-08-01T16:43:40,300" type="INFO" code="209041" source="Portal Admin" process="18055" thread="15" methodName="" machine="SIGD-ARCGIS-PORTAL-2" user="" elapsed="">Stopping the 9.3.12 database.</Msg>
<Msg time="2019-08-01T16:43:46,841" type="INFO" code="209064" source="Portal Admin" process="18055" thread="15" methodName="" machine="SIGD-ARCGIS-PORTAL-2" user="" elapsed="">Stopping the database.</Msg>
<Msg time="2019-08-01T16:43:53,437" type="INFO" code="209081" source="Portal Admin" process="18055" thread="15" methodName="" machine="SIGD-ARCGIS-PORTAL-2" user="" elapsed="">Postgres DB upgrade response Performing Consistency Checks
-----------------------------
Checking cluster versions                                   ok
Checking database user is the install user                  ok
Checking database connection settings                       ok
Checking for prepared transactions                          ok
Checking for reg* system OID user data types                ok
Checking for contrib/isn with bigint-passing mismatch       ok
Checking for roles starting with 'pg_'                      ok
Checking for invalid "line" user columns                    ok
Creating dump of global objects                             ok
Creating dump of database schemas
  gwdb
  postgres
  template1
                                                            ok

lc_collate values for database "postgres" do not match:  old "fr_FR.UTF-8", new "en_US.UTF-8"
Failure, exiting
.</Msg>
<Msg time="2019-08-01T16:43:53,439" type="SEVERE" code="209044" source="Portal Admin" process="18055" thread="15" methodName="" machine="SIGD-ARCGIS-PORTAL-2" user="" elapsed="">Upgrade failed. com.esri.arcgis.portal.admin.core.site.migration.MigrationException: Failed to upgrade the PostgreSQL from 9.3.12 to 9.6.8. com.esri.arcgis.portal.admin.core.site.migration.MigrationException: Failed to upgrade the PostgreSQL from 9.3.12 to 9.6.8.</Msg>
<Msg time="2019-08-01T16:43:53,440" type="INFO" code="209072" source="Portal Admin" process="18055" thread="15" methodName="" machine="SIGD-ARCGIS-PORTAL-2" user="" elapsed="">Starting migration rollback process.</Msg>
<Msg time="2019-08-01T16:43:53,444" type="VERBOSE" code="219999" source="Portal Admin" process="18055" thread="15" methodName="" machine="SIGD-ARCGIS-PORTAL-2" user="" elapsed=""> Copying the content directory.</Msg>

0 Kudos
2 Replies
GuillaumeArnaud
New Contributor III

After many tries changing rights on files, folders... Moving files on other server, save and restore portal full... I think I found how to do...The owner of Portal need to be in the sudoers and when I use sudo ./upgradeportal.sh -s it seems works.

0 Kudos
JonathanQuinn
Esri Frequent Contributor

There shouldn't be a need for the install user of Portal to be in the sudoers group, especially for an error that implies a locale problem:

https://stackoverflow.com/questions/52539100/why-did-this-postgres-database-upgrade-fail

I'd suggest you reach back out to your Support team and have them escalate to Esri Inc. if necessary.

0 Kudos